bm::block_xor_match_descr Struct Reference

Capture the XOR filter results (xor block against ref.block). More...

`#include <bmxor.h>`

## Public Types

typedef bvector_size_type | size_type

## Public Member Functions

| block_xor_match_descr ()

## Data Fields

bm::xor_complement_match | match_type
| match type
unsigned | block_gain
| XOR filter improvement (best).
size_type | ref_idx
| reference vector index
bm::id64_t | xor_d64
| recorded digest
bm::id64_t | gc_d64
bm::id64_t | bc_d64
bm::id64_t | ibc_d64
unsigned | gc_gain
unsigned | bc_gain
unsigned | ibc_gain
unsigned | xor_gc
unsigned | xor_bc

## Detailed Description

Capture the XOR filter results (xor block against ref.block).

Definition at line 244 of file bmxor.h.

## Member Typedef Documentation

## size_type

typedef bvector_size_type bm::block_xor_match_descr::size_type

Definition at line 246 of file bmxor.h.

## Constructor & Destructor Documentation

## block_xor_match_descr()

bm::block_xor_match_descr::block_xor_match_descr | ( |  | ) |

inline

Definition at line 266 of file bmxor.h.

References bm::e_no_xor_match, and match_type.

## Field Documentation

## bc_d64

bm::id64_t bm::block_xor_match_descr::bc_d64

Definition at line 255 of file bmxor.h.

Referenced by bm::greedy_refine_match_vector().

## bc_gain

unsigned bm::block_xor_match_descr::bc_gain

Definition at line 260 of file bmxor.h.

Referenced by bm::greedy_refine_match_vector().

## block_gain

unsigned bm::block_xor_match_descr::block_gain

XOR filter improvement (best).

Definition at line 249 of file bmxor.h.

Referenced by bm::xor_scanner< BV >::search_best_xor_mask().

## gc_d64

bm::id64_t bm::block_xor_match_descr::gc_d64

Definition at line 254 of file bmxor.h.

Referenced by bm::greedy_refine_match_vector().

## gc_gain

unsigned bm::block_xor_match_descr::gc_gain

Definition at line 259 of file bmxor.h.

Referenced by bm::greedy_refine_match_vector().

## ibc_d64

bm::id64_t bm::block_xor_match_descr::ibc_d64

Definition at line 256 of file bmxor.h.

Referenced by bm::greedy_refine_match_vector().

## ibc_gain

unsigned bm::block_xor_match_descr::ibc_gain

Definition at line 261 of file bmxor.h.

Referenced by bm::greedy_refine_match_vector().

## match_type

bm::xor_complement_match bm::block_xor_match_descr::match_type

match type

Definition at line 248 of file bmxor.h.

Referenced by block_xor_match_descr(), bm::greedy_refine_match_vector(), and bm::xor_scanner< BV >::search_best_xor_mask().

## ref_idx

size_type bm::block_xor_match_descr::ref_idx

reference vector index

Definition at line 250 of file bmxor.h.

Referenced by bm::greedy_refine_match_vector(), and bm::xor_scanner< BV >::search_best_xor_mask().

## xor_bc

unsigned bm::block_xor_match_descr::xor_bc

Definition at line 264 of file bmxor.h.

Referenced by bm::xor_scanner< BV >::search_best_xor_mask().

## xor_d64

bm::id64_t bm::block_xor_match_descr::xor_d64

recorded digest

Definition at line 251 of file bmxor.h.

Referenced by bm::greedy_refine_match_vector(), and bm::xor_scanner< BV >::search_best_xor_mask().

## xor_gc

unsigned bm::block_xor_match_descr::xor_gc

Definition at line 263 of file bmxor.h.

Referenced by bm::xor_scanner< BV >::search_best_xor_mask().

The documentation for this struct was generated from the following file:

- bmxor.h